## Name

atomicCounterIncrement — atomically increment a counter and return the prior value

## Declaration

`uint atomicCounterIncrement(` | atomic_uint c`)`;

## Parameters

`c`

  Specify the handle to the atomic counter to increment.

## Description

`atomicCounterIncrement` atomically increments the value of the atomic counter `c` and returns its prior value.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atomicCounterIncrement | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔

## See Also

atomicCounterDecrement, atomicCounter

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.